<?
/*
// $Id: gateway_config-template.php 843 2009-06-19 15:12:15Z joconno1 $
// $Rev: 843 $
// $Date: 2009-06-19 11:12:15 -0400 (Fri, 19 Jun 2009) $
// $Author: joconno1 $
// $URL: https://svn.brown.edu/svn/sys-srv/gateway/trunk/config/gateway_config-template.php $
*/



# define_the absolute http root path to the gateway
$http_root = "http://www.brown.edu/Facilities/cis-dev";


# define the instructor as remote user (or set valid username for testing in QA)
$instructor = 'bhazelti';
//$instructor = $_SERVER['REMOTE_USER'];


# define the semesters from which to select courses
$semesters = array (
	"current" => "2009-Spring",
	"summer" => "2009-Summer",
	"fall" => "2009-Fall",
//	"previous" => "2008-Fall"
	);

# toggle sending the admin notification email for new service requests
$new_request_email_enabled = true;

# toggle sending the requestor status update email
$status_update_email_enabled = true;

# set usertype for admin users as array temporarily
$usertype = array(
					"grozgast" => "admin",
					"escasey" => "admin",
					"rd2" => "admin",
					"mml4" => "admin",
					"czabrisk" => "admin",
					"pzudeck" => "admin",
					"pdicamil" => "admin",
					"stc" => "admin",
					"huxu" => "admin",
					"jcramton" => "admin",
					"plaverty" => "admin",
					"joconno1" => "admin"
				  );

# define required fields for each form for consumption by form_val_js.inc.php and form_val_server_side.inc.php
# by convention, list all form fields that need to be saved to the database, indicating required Yes or No.
# we could get a bit fancier and define functions to call in certain events, 
# but this is likely to be handled by a form builder gui down the road.


$hash_val_forms = array(
	"form_clickers" => 
		array(
		'form_clickers_checkbox_new-to-clickers'=>
			array('required'=>'No','err_msg'=>''), 
		'form_clickers_checkbox_training-needed'=>
			array('required'=>'No','err_msg'=>'')),
	"form_email_list" => 
		array(
		'form_email_list_radio_list-type'=>
			array('required'=>'Yes','err_msg'=>'Pleae indicate a list type.'), 
		'form_email_list_text_ta-list'=>
			array('required'=>'No','err_msg'=>'')),
	"form_itunes" => 
		array(
		'form_itunes_checkbox_rollup-sections'=>
			array('required'=>'No','err_msg'=>'')), 
	"form_mycourses" => 
		array(
		'form_mycourses_checkbox_merge-sections'=>
			array('required'=>'No','err_msg'=>''), 
		'form_mycourses_select_copy-semester'=>
			array('required'=>'Yes','err_msg'=>'Please select whether or not you want to copy content from a previous semester.')),
	"form_mycourses-non-acad" => 
		array(
		'form_mycourses-non-acad_checkbox_merge-sections'=>
			array('required'=>'No','err_msg'=>''), 
		'form_mycourses-non-acad_select_copy-semester'=>
			array('required'=>'Yes','err_msg'=>'Please select whether or not you want to copy content from a previous semester.')),
	"form_wiki" => 
		array(
		'form_wiki_text_wikititle'=>
			array('required'=>'Yes','err_msg'=>'Please enter a Wiki Title.'), 
		'form_wiki_text_wikipurpose'=>
			array('required'=>'Yes','err_msg'=>'Please describe the Wiki Purpose.'),
		'form_wiki_text_usernames'=>
			array('required'=>'No','err_msg'=>''),
		'form_wiki_radio_access'=>
			array('required'=>'Yes','err_msg'=>'Please indicate if the wiki should require a login.')
			,
		'form_wiki_text_expires'=>
			array('required'=>'No','err_msg'=>'')),
	);
?>
