<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"> 
<html lang="en-us"> 
<head>
<script type="text/javascript" src="/js/jquery/jquery.min.js"></script>
<script type="text/javascript" src="/js/jquery-ui-1.7.1/ui/ui.datepicker.js"></script>
<script type="text/javascript" src="/js/jquery/plugins/jquery.tablesorter.js"></script>
<script type="text/javascript">
        $(function() {
                $("#ui-datepicker1").datepicker();
        });
        $(function() {
                $("#ui-datepicker2").datepicker();
        });
	
	$(function() 
    	{ 
        	$("#listtable").tablesorter(); 
    	});

</script>

<?
 	include("./fluweb_functions.php");
	require "/www/data/httpd/htdocs/Facilities/CIS/core/ldap/ldaputils.inc.php";

	$filter = $_REQUEST['filter'];
	if(!isset($filter)){$filter=$_GET['filter'];}
	if($filter==''){$filter='all';}

	// For the Spring semester, default is Jan 1, and for the Fall is Sep 1
        $default_start = semester_start_date();
        //$default_end = date('m/d/Y');
        //$default_end = '12/31/2019';
	$default_end = '5/31/2020';

	// These are the variables grabbed from the calendar
	$from1 = $_POST['cal_from'];
	$to1 = $_POST['cal_to'];

	// if the page is being loaded for the first time, or the user didn't select a period
	// we use the default, which is start of the current semester to today
	//if(!isset($from1))
	//{
	//	$from1=$default_start; 
	//}

	// $from1 is just holding the value of $_POST['cal_from'], so they're they same
	if($from1=='')
	{
		if($_GET['cal_from']=='')
		{
			$from1 = $default_start;
		}
		else
		{
			$from1 = $_GET['cal_from'];
		}
	}

	if($to1=='')
        {
                if($_GET['cal_to']=='')
                {
                        $to1 = $default_end;
                }
                else
                {
                        $to1 = $_GET['cal_to'];
                }
        }
	


 
		//else{$from1=$_GET['cal_from'];}
	if(!isset($to1)){$to1=$default_end;} 
		//else{$to1=$_GET['cal_to']; }

	// Proper formatting for the database
	$from = format_date($from1);
	//echo "<h1>From: $from1</h1>";
	
	$to = format_date($to1);
	//echo "<h1>To: $to1</h1>";

	// Get our data and totals, by date selected or default is start of semester to today
        $result = get_data($conn,$from,$to,$filter);
	$totals = get_status_totals($conn,$from,$to);

?>
<link type="text/css" rel="stylesheet" media="all" href="/js/jquery/themes/redmond/jquery-fluweb.css" />
<link type="text/css" rel="stylesheet" media="screen" href="fluweb.css">
<link type="text/css" rel="stylesheet" media="screen" href="./fluweb-actions.css">
</head>

<body>
<div>
<? include("header.html"); ?>
</div>


<div class="totals">
<span class="click">Click a status type to filter the list</span>

<form method="POST" action="index.php">
<input type="hidden" name="cal_from" value="<? echo $from1; ?> ">
<input type="hidden" name="cal_to" value="<? echo $to1;  ?>">

<div class="row">

<div class="cell bg1"><h5><a href="index.php?filter=all&cal_from=<? echo $from1; ?>&cal_to=<? echo $to1; ?>">Total</a></h5><span class="numeral"><? echo $totals['total']; ?></span></div>

<div class="cell bg2"><h5><img src="/img/icons/redplus.png" valign="middle" alt="New"><a href="index.php?filter=new&cal_from=<? echo $from1; ?>&cal_to=<? echo $to1; ?>">New</a></h5><span class="numeral"><? echo 
$totals['new']; ?></span></div>

<div class="cell bg1"><h5><img src="/img/icons/exclamation.png" valign="middle" alt="Call Again"><a href="index.php?filter=call&cal_from=<? echo $from1; ?>&cal_to=<? echo $to1; ?>">Call Again</a></h5><span 
class="numeral"><? echo $totals['call_again'];  ?></span></div>

<div class="cell bg2"><h5><img src="/img/icons/application_error.png" valign="middle" alt="Incomplete"><a href="index.php?filter=incomplete&cal_from=<? echo $from1; ?>&cal_to=<? echo $to1; 
?>">Incomplete</a></h5><span class="numeral"><? echo $totals['incomplete'];  ?></span></div>

<div class="cell bg1"><h5><img src="/img/icons/tick.png" valign="middle" alt="Complete"><a href="index.php?filter=complete&cal_from=<? echo $from1; ?>&cal_to=<? echo $to1; ?>">Complete</a></h5><span 
class="numeral"><? echo 
$totals['complete']; ?></span></div>


<div class="cal_cell">
        
        
				<div id="gobutton">
                <input type="submit" value="Go" />
                </div>


                <span class="text_title">
                        <label for="cal_from">From:</label>
                </span>
                        <div class="ui-datepicker">
                                <input type="text" size="11" id="ui-datepicker1" name="cal_from" value="<? echo $from1; ?>">
                        </div>
                <span class="text_title">
                        <label for="cal_to">To:</label>
                </span>
                        <div class="ui-datepicker">
                                <input type="text" size="11" id="ui-datepicker2" name="cal_to" value="<? echo $to1;  ?>">
                        </div>
        </div>

</div>
</div>


<div class="details">
<span class="click">Click a label to sort the list</span>


<table border="1" id="listtable" class="tablesorter">
<thead>
<th class="details_id">ID</th>
<th></th>
<th class="details_name">Name</th>
<th class="details_submit">Submitted</th>
<th class="details_status">Status</th>
<th class="details_type">Type</th>
<th class="details_action">Last<br>Action By</th>
<th class="details_exam">Exam</th>
<th class="details_home">Going<br>Home</th>
<th class="details_residence">Residence</th>
</thead>
<tbody>
<?  while($obj = mysql_fetch_object($result)){

$class_status= trim($obj->status);

switch($class_status)
{
	case "Undergraduate Student":
		$class_status = "UG";
		break;
	case "Graduate Student":
		$class_status = "Grad";
		break;
	case "Medical Student":
		$class_status = "Med";
		break;
	default:
		$class_status = "Student";
}


?>
<tr>
<td class="details_id"><? echo $obj->id; ?></td>
<td><a href="mailto:<? echo get_email($obj->username); ?>"><img src="/img/icons/email.png" border="0"/></a></td>
<td  class="details_name"><a href="actions.php?id=<? echo $obj->id; ?>"><? echo $obj->name; ?></a></td>
<td class="details_submit"><? echo calculate_submitted($obj->submitted); ?></td>
<td class="details_status"><? echo clean_status(get_status($obj->id,$conn));  ?></td>
<td class="details_type"><? echo $class_status; ?></td>
<td class="details_action"><? echo get_last_action($obj->id,$conn); ?></td>
<td class="details_exam"><? echo ucfirst($obj->exam); ?></td>
<td class="details_home"><? echo clean_home($obj->home); ?></td>
<td class="details_residence"><? echo ucfirst($obj->living).' - '.$obj->address; ?></td>
</tr>

<? } 

if(mysql_num_rows($result)==0){echo "<tr><td class='details_cell' colspan='10'>No records match your criteria</td></tr>"; }


?>



</tbody>
</table>

</div>



</body>
</html>
