<?php
	
header("Location: https://www.brown.edu/offices/student-support/meeting-dean/fluweb");
exit;
# index.php
# Brown University
# Campus Life H1N1 Template
# web_services@brown.edu
# 2009-09-02



require_once "config.php";
	


	
	/* 
	 * Set a title for the page, " | Brown University" will be appended to it
	 */
	$page_title = "Reporting Influenza-Like Illness and Missed Classes";

	/* 
	 * Override the banner size
	 */
	$banner["size"] = "S"; // none, S, M, L;  right now, "S" means no banner
//	$banner["path"] = ""; // we could use a different banner here if we wanted to.


	/*
	 * Which layout does this page have?
	 */
	$layout_type = "2"; // text, 2, or 3; 2 & 3 specify columns

	/* 
	 * Do you want to display the search field in the sidebar?
	 */
	$show_search = FALSE; // true or false

	/* 
	 * Do you want to show the department contact info under the nav?
	 */
	$show_address = TRUE; // true or false


	/* 
	 * Do you have any special markup for the <head>?  Put it here!
	 */
	$extra_head_content = '<link rel="stylesheet" href="css/handheld.css" type="text/css" media="handheld">
';

	include_once "header_main.tpl.php";

?>


<!-- Begin #content (includes #navbar, #main, and #sidebar) -->
<div id="content">
		  
	<!-- Begin #navbar -->
	<div id="navbar" class="column">
		<!-- Navigation -->
	<ul class="navigation">
		<?php 
		
			include_once("inc/navigation-basic.html");
			
		?>
	</ul>
		<?php
			
			if($show_search) include_once("search_sidebar.tpl.php");
		
			if($show_address) include_once("address_sidebar.tpl.php");
		
		?>
		
		<!-- End #navbar --> 
	</div>


	<!-- Begin #main -->
	<div id="main" class="column">

<h2 align="right"><a href="./faculty" style="border: 1px solid; padding: 2px 5px">FACULTY LOG IN</a></h2>

		<h1><?php echo $page_title; ?></h1>
		
	   <p>We are encouraging Brown students who are ill with influenza-like illness (ILI) to report their missed class time and needs for assistance through this website.  Log in to answer some questions which will enable us to know that you are ill with influenza-like symptoms, that you are being cared for, and what needs you have.  The information you give will also allow us to confirm for faculty missed class time due to influenza illness.</p> 

<p>You will receive a follow-up phone call from a staff member in Campus Life or the Dean of the College office, so please be sure to provide a phone number where we can reach you.</p>

<p align="center" style="margin:30px"><span class="alert"></span> &nbsp;If you get significantly worse before you receive a return phone call, please <br />call University Health Services at <span class="handheld"><a href="tel:14018631330" class="phonelink">863-1330</a></span><span class="screen">863-1330</span>.</p>


<h2 align="center"><a href="form/" style="border: 1px solid; padding: 2px 5px">STUDENT LOG IN</a></h2>

<h4 align="center" style="margin:30px"> &nbsp;Influenza-Like Illness (ILI) = Fever 100&deg;F (38&deg;C) or above + Cough and/or Sore Throat.</h4>


<p class="tight"><span class="alert"></span> &nbsp;Call EMS (Emergency Medical Services) @ <span class="handheld"><a href="tel:14018634111" class="phonelink">401-863-4111</a></span><span class="screen">401-863-4111</span> if you have (or your roommate/friend has):
	<ul>
		<li>Pain in your chest;</li>
		<li>Difficulty breathing;</li>
		<li>Confusion or decreased awareness.</li>
	</ul>
 </p>

<p class="tight"><span class="alert"></span> &nbsp;Call Health Services @ <span class="handheld"><a href="tel:14018631330" class="phonelink">401-863-1330</a></span><span class="screen">401-863-1330</span> IMMEDIATELY if you have:
	<ul>
		<li>Severe headache;</li>
		<li>Rash;</li>
		<li>Stiff neck.</li>
	</ul>
</p>

<p class="tight"><span class="alert"></span> &nbsp;Call Health Services @ <span class="handheld"><a href="tel:14018631330" class="phonelink">401-863-1330</a></span><span class="screen">401-863-1330</span> TODAY if you have:
	<ul>
		<li>Were feeling better for 24 hours but now feel ill again (especially if you currently have fever or cough);</li>
		<li>Have bloody or rust-colored mucous;</li>
		<li>Have severe sore throat;</li>
		<li>Are unable to keep fluids down (i.e., you are vomiting back up anything you drink);</li>
		<li>Have any other condition that concerns you;</li>
		<li>Have a chronic medical condition, or are pregnant or nursing, and have not already talked with a University Health Services provider.  (Chronic medical conditions include significant asthma or other respiratory illness, significant chronic cardiovascular, liver, blood, neurologic disease or diabetes, HIV, or taking immunosuppressive drugs).</li>
	</ul>
</p>
<p>&nbsp;</p>	


	
	  <!-- End #main -->
	</div>


<!-- Begin #sidebar -->
	<div id="sidebar" class="column">
		
	
	<!-- End #sidebar -->
	</div>

<!-- End #content -->
</div>



<!-- End #wrapper -->
</div>

<?php 

	include_once("footer_main.tpl.php");

?>


</body>

</html>
